let unit = 25; // Unit value for patterns
let currentPattern = 1; // Default pattern

function setup() {
  createCanvas(500, 500);
  background(0);
  fill(0, 0, 255);
}

function draw() {
  background(0);

  // Draw ellipses based on the selected pattern
  switch (currentPattern) {
    case 1:
      drawEllipses();
      break;
    case 2:
      drawHerringbone();
      break;
    case 3:
      drawDiagonalLines();
      break;
    case 4:
      drawCircles();
      break;
  }
}

// Task 1: Convert to for loop
function drawEllipses() {
  for (let x = 25; x < width; x += 50) {
    fill(random(255), random(255), random(255)); // Random color for each ellipse
    ellipse(x, 25, 50, 50);
  }
}

// Task 2: Nested for loop for ellipses covering the canvas
function drawHerringbone() {
  for (let x = 0; x < width; x += unit) {
    for (let y = 0; y < height; y += unit) {
      fill(random(255), random(255), random(255)); // Random color for each ellipse
      ellipse(x, y, 50, 50);
    }
  }
}

// Task 3: Draw a simple diagonal pattern
function drawDiagonalLines() {
  for (let x = 0; x < width; x += unit * 2) {
    for (let y = 0; y < height; y += unit * 2) {
      line(x, y, x + unit, y + unit);
      line(x + unit, y, x, y + unit);
    }
  }
}

// Task 3: Draw concentric circles
function drawCircles() {
  noFill();
  stroke(255);
  for (let i = 20; i < width; i += unit) {
    ellipse(width / 2, height / 2, i, i);
  }
}

// Task 4: Handle key presses to change the pattern
function keyPressed() {
  if (key === '1') {
    currentPattern = 1;
  } else if (key === '2') {
    currentPattern = 2;
  } else if (key === '3') {
    currentPattern = 3;
  } else if (key === '4') {
    currentPattern = 4;
  }
}